精华内容
下载资源
问答
  • IE8.0 flash插件IE8.0 flash插件

    热门讨论 2009-03-13 09:38:31
    IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件IE8.0 flash插件
  • Electron flash插件

    千次阅读 2018-11-28 12:33:37
    Electron 支持 Pepper Flash 插件。要在 Electron 里面使用 Pepper Flash 插件,我们 要手动设置 Pepper Flash 的路径并且应用里启用 Pepper Flash。 我们可以在chrome浏览器中输入:chrome://version/来获取浏览器...

    Electron 支持 Pepper Flash 插件。要在 Electron 里面使用 Pepper Flash 插件,我们 要手动设置 Pepper Flash 的路径并且应用里启用 Pepper Flash。

    我们可以在chrome浏览器中输入:chrome://version/来获取浏览器的信息
    在这里插入图片描述
    其中flash信息就是我们想要的。
    当然了,大家也可 以去flash官网下载安装flash,安装后的目录在:C:\Windows\SysWOW64\Macromed\Flash下面。

    接下来我们就开始看看怎么在electron项目中使用。这是我将pepflashplayer.dll拷贝到我工程后的目录结构(Pepper Flash 插件的操作系统必须和 Electron 的操作系统匹配。在 Windows 中, 一个常见的错误是对64位版本的 Electron 使用 32bit 版本的 Flash 插件)
    在这里插入图片描述

    在electron的官方文档中我们可以找到设置插件的方式:

    const { app, BrowserWindow } = require('electron')
    const path = require('path')
    
    // 指定 flash 路径,假定它与 main.js 放在同一目录中。
    let pluginName
    switch (process.platform) {
      case 'win32':
        pluginName = 'pepflashplayer.dll'
        break
      case 'darwin':
        pluginName = 'PepperFlashPlayer.plugin'
        break
      case 'linux':
        pluginName = 'libpepflashplayer.so'
        break
    }
    app.commandLine.appendSwitch('ppapi-flash-path', path.join(__dirname, pluginName))
    
    // 可选:指定 flash 的版本,例如 v17.0.0.169
    app.commandLine.appendSwitch('ppapi-flash-version', '17.0.0.169')
    
    app.on('ready', () => {
      let win = new BrowserWindow({
        width: 800,
        height: 600,
        webPreferences: {
          plugins: true
        }
      })
      win.loadURL(`file://${__dirname}/index.html`)
    
    })
    您也可以尝试加载系统安装的 Pepper Flash 插件,而不是装运 插件,其路径可以通过调用 app.getPath('pepperFlashSystemPlugin') 获取。
    

    这是我项目的配置:

    const {resolve} = require('path');
    
    let plugins = resolve(__dirname, '../../lib/pepflashplayer64.dll')
    if (__dirname.includes(".asar")) {
        plugins = require('path').join(process.resourcesPath + '/lib/pepflashplayer64.dll')
    }
    app.commandLine.appendSwitch('ppapi-flash-path', plugins)
    

    之所以有__dirname.includes(".asar")这个判断,是因为开发环境和打包后的目录结构是不一样的。这一点大家可以在找一下打包相关的资料就知道了。

    到了这里我们运行程序会发现,当我们播放一个视频的时候,仍然无法播放。此时:
    如果使用的是webview:
    在 标签里添加 plugins 属性。

    <webview src="https://www.adobe.com/software/flash/about/" plugins></webview>
    

    如果使用的是BrowserWindow:

      let win = new BrowserWindow({
            width: 800,
            height: 600,
            frame: true,
            autoHideMenuBar: true,
            maximizable: true,
            minimizable: true,
            transparent: true,
            'webPreferences': { // 注意一定要 添加这个 不然flash插件不会生效
                plugins: true,
                webSecurity: false
            }
        })
    

    plugins: true 这个配置项是必须的。这个选项会告诉electron我们要使用插件,给个方便。。

    到了这里我们在本地运行项目就不会有问题了,接下来我们就要配置一下打包的相关参数了。

    在pakage.json中,我们build的配置下面内容:

    "build": {
        "productName": "产品名称",
        "appId": "产品id",
        "directories": {
        //输出目录
          "output": "build" 
        },
        "files": [
          "dist/electron/**/*"
        ],
        "asar": true,
        "artifactName": "${productName}-${version}.${ext}",
        "compression": "maximum",
        "nsis": {
          "allowToChangeInstallationDirectory": true,
          "oneClick": false,
          "menuCategory": true,
          "allowElevation": false
        },
        "electronDownload": {
          "mirror": "http://npm.taobao.org/mirrors/electron/"
        },
        "dmg": {
          "contents": [
            {
              "x": 410,
              "y": 150,
              "type": "link",
              "path": "/Applications"
            },
            {
              "x": 130,
              "y": 150,
              "type": "file"
            }
          ]
        },
        "mac": {
          "icon": "build/icons/icon.icns"
        },
        "win": {
          "icon": "build/icons/icon.ico",
          "target": "nsis",
          //将特定的文件排除,不打包在asar包内
          "extraResources": "./lib/*.dll"
        },
        "linux": {
          "icon": "build/icons"
        }
    

    其中最重要的配置就是 "extraResources": "./lib/*.dll" 这样的话我们的所有配置就算完成了,然后运行build,

    yarn run build
    

    打包完成后的目录如下:
    在这里插入图片描述

    其中exe就是我们的安装程序了。

    在这里插入图片描述

    我们的插件就在打包完成后的这个目录下,如果你运行安装程序,安装完成后的目录结构和win-unpacked目录结构是一致的。

    展开全文
  • kali安装flash插件

    千次阅读 2017-06-25 13:07:40
    最近开始研究kali2.0系统,几天想看一下视频突然发现系统里的Firefox没有flash插件 查了一些资料终于安装成功了 第一步:下载并解压flash插件 发放时出现让你安装flash插件,点击下载选择Linux版本的flash的插件 我...

    最近开始研究kali2.0系统,几天想看一下视频突然发现系统里的Firefox没有flash插件

    查了一些资料终于安装成功了

    第一步:下载并解压flash插件

    发放时出现让你安装flash插件,点击下载选择Linux版本的flash的插件

    我下载的是 flash_player_npapi_linux.x86_64.tar.pz

    然后解压 flash_player_npapi_linux.x86_64.tar.pz

    解压后或有一个libflashplayer.so文件

    第二部:找目录

    然后把 libflashplayer.so 文件复制到Firefox插件目录下所以需要查找它的位置

    ~# whereis firefox 

    firefox: /usr/bin/firefox

    通过输出的信息可以看出Firefox确定在usr下面根据这个目录去查看一下发现给出的路径是个文件并不是目录

    不过没有关系通过Firefox的全名查找

    ~# find /usr -name mozilla

    /usr/lib/mozila

    /usr/share/ca-certificates/mozilla

    /usr/share/mozilla

    第三部:查找plugins在上面三个目录的那个目录里面并设置权限

    ~# ls /usr/lib/mozilla

    extensious    plugins

    第一个路径就找到了把解压文件中的libflashplayer.so复制到这个目录下

    然后提权:

    ~# chmod 755 libflashplayer.so

    第四部:加载flash插件

    ~# chown root:root libflashplayer.so


    之后重新打开Firefox浏览器找个视频看看把

    展开全文
  • 安装flash插件1.安装方法 1.安装方法 打开Firefox浏览器,点击右上角的三横杠图标,会展开一个列表点击Add-ons(图标是一个拼图) 进入此页面可以看见有个flash插件,点击安装即可,可以愉快的刷视频了。 ...

    方法1

    打开Firefox浏览器,点击右上角的三横杠图标,会展开一个列表点击Add-ons(图标是一个拼图)
    在这里插入图片描述在这里插入图片描述在这里插入图片描述进入此页面可以看见有个flash插件,点击安装即可,可以愉快的刷视频了。

    方法2(推荐)

    1.进入flash官方flash下载

    版本选择第二个选择第二个版本,不要第一个

    2.下载解压

    在这里插入图片描述

    3.打开控制台进入解压文件的目录

    在这里插入图片描述

    4.依次执行两条语句

    • sudo mkdir /usr/lib/mozilla/plugins
    • sudo cp ./libflashplayer.so /usr/lib/mozilla/plugins

    5.重启Firefox即可

    展开全文
  • 解决Chrome谷歌浏览器Flash插件已被屏蔽在chrome地址栏输入:chrome://settings/content/flash设置先询问,如果已经设置过了,请直接忽略此步骤。重新载入网页,按提示启用 在chrome地址栏输入:chrome://settings/...

    在chrome地址栏输入:chrome://settings/content/flash

    设置先询问,如果已经设置过了,请直接忽略此步骤。

    重新载入网页,按提示启用

    在这里插入图片描述

    展开全文
  • ubunt火狐浏览器插件Flash插件

    千次阅读 2015-10-17 22:20:42
    今天刚刚安装的ubunt14.04系统,发现自带的火狐浏览器没有Flash插件,不能看视频。 根据提示下载插件,选择tar.gz格式的。如install_flash_player_11_linux.i386.tar.gz。 终端通过命令 tar -zxvf install_flash_...
  • CEF 加载flash 插件

    万次阅读 热门讨论 2016-08-23 15:12:06
    CEF可以通过命令行设置加载flash插件,有两种方式:在程序启动时添加命令行参数cef.exe --ppapi-flash-path=ppflash/18_0_0_209/pepflashplayer32_18_0_0_209.dll --ppapi-flash-version=18.0.0.209重载...
  • ubuntu安装flash插件

    千次阅读 2015-10-04 11:13:45
    chrome安装flash插件 终端输入 sudo apt-get install pepperflashplugin-nonfree sudo update-pepperflashplugin-nonfree --install 查看已安装插件 地址栏输入: chrome://plugins/ firefox安装flash插件 浏览器...
  • IE8安装flash插件

    万次阅读 2018-04-20 15:09:34
    查询资料发现是没有安装flash插件,时间花的比较长,因此记录一下步骤:之前遇到的问题是:安装正版的flash,只是给系统安装上了flash插件,并未为IE浏览器安装上。1.百度找到flashplayer11_ie.zip文件(已备份到...
  • 或许是由于flash多次曝出安全问题,苹果和谷歌先后对其进行限制,谷歌更是在新版Chrome浏览器中直接禁用了flash插件。而在访问某些必须使用flash插件的网站时,则需要手动开启相关的权限!那么,谷歌浏览器要怎么打开...
  • Ubuntu或Linux下安装flash插件

    万次阅读 2017-07-01 10:32:11
    Ubuntu或Linux下安装flash插件 在Linux系统中,有时候我们使用浏览器浏览某个网站的时候,你会发现无法播放视频或者一些动态图,这都是因为系统没有安装 flash插件所导致的,下面介绍在Linux下如何简单的安装...
  • 2021年后Win10续用IE Flash插件的方法

    万次阅读 2021-01-23 17:46:35
    但是根据国情,很多机关事业单位、国企的内部使用的系统,尤其是在他们内部网络使用的办公系统,特别是基于IE浏览器使用的系统,还是很多功能要依赖Flash插件的。从adobe的公告中,可以看到2021年1月12日开始,虽然...
  • ubuntu firefox flash 插件安装

    千次阅读 2019-07-02 22:45:55
    Flash插件 Flash插件可以让您通过浏览器浏览视频和动画内容。 目录 测试Flash 升级Flash 故障排除 注意: Firefox软件更新的功能并不会更新插件。请查阅Adobe安全公告和咨询网页以了解关于Adobe Flash...
  • 解决Google浏览器中Flash插件禁用问题

    千次阅读 2020-12-13 20:11:33
    解决Google浏览器中Flash插件禁用问题 flash插件是美国Macromedia公司(已被Adobe公司收购)所设计的一种二维动画软件 [1] 。通常包括Macromedia Flash,用于设计和编辑Flash文档,以及Adobe Flash Player,用于播放...
  • firefox安装flash 插件

    千次阅读 2017-03-14 16:18:02
    1:下载插件Flash百度上直接下载flash插件,我opensuse是需要rpm包的,所以官网直接下载,至于版本有ppapi和npapi,这两个版本差别不大,由于ppapi比较新,所以我选的是ppapi. linux主流发行版一般两大系列,redhat
  • google更新flash插件

    千次阅读 2017-04-02 11:04:07
    直接使用chrome://components/ 更新插件不行。原来是需要使用全局代理才行。解决方法:1、在终端,使用全局代理打开 chrome$: google-chrome –proxy-server=”socks5://127.0.0.1:1080”2、在...更新flash插件即可。
  • Mac 技术篇-chrome浏览器启用flash插件最强攻略。 flash 因为潜在的一些安全隐患,比如很容易被黑客利用,用来植入病毒。所有现在很多浏览器默认都不是启用的,要么需要询问,要不直接就给禁止。 很多网页的一些组件...
  • 解决谷歌浏览器:Flash插件初始化失败,请更新您的FlashPlayer版本之后重试! chrome浏览器使用百度编辑器给网站上传图片时,提示“flash插件初始化失败,请更新您的flashplayer版本后重试”明明已经更新到最新的flash...
  • 页面上有很多页面加载需要flash支持,但是谷歌浏览器本身不支持页面自动允许加载flash插件。 这就让我们的用户在体验系统时,感觉操作十分繁琐 问题描述: 谷歌浏览器不能自动加载flash插件问题 解决方案: 首先...
  • CefSharp 47版本 flash插件

    千次阅读 2017-07-22 20:23:38
    在一些客户端不存在flash插件时,而且不想让用户去自己安装,就可以通过以下方法设置flash插件。pepflashplayer.dll可在谷歌浏览器目录下找到。 cefsharp 高版本不需要设置OnBeforeCommandLineProcessing 事件 ,...
  • google浏览器flash插件

    千次阅读 2017-09-14 08:51:05
    1、系统是32位还是64位,google浏览器就安装对应的位数; 2、google最新版浏览器,需要卸载以前安装的flash插件,再去google浏览器里面设置; 设置-内容设置: flash: 关闭-先询问:
  • 下载符合自己linux的flash插件,我这里下载的是: tar-zx -f install_flash_player_11_linux.x86_64.tar.gz 三.OK,插件下载完毕,解压将libflashplayer.so文件提取出保存在Downloads(保存到哪里都可以,方便即可...
  • 谷歌浏览器flash插件设置

    千次阅读 2019-07-24 16:50:38
    问题:“chrome浏览器adobe flash ... 在chrome://components中可以更新flash插件至最新版 步骤2. flash player 国际版29及以下 的老版本没有区域限制,下载老版本,离线安装NNAPI版本(谷歌浏览器版本) 步骤...
  • ubuntu20.04安装火狐浏览器flash插件

    多人点赞 热门讨论 2021-03-09 20:45:04
    ubuntu20.04安装火狐浏览器flash插件安装虚拟机装了linux操作系统,用里面的火狐浏览器看视频看不了,安装flash插件弄的我都快崩溃了。找了好多好像都过时了!最后就用两句命令解决sudo apt install flashplugin-...
  • kali-Firefox安装flash插件

    千次阅读 2018-09-18 13:28:19
    缺少flash的报错显示: ...douyu显示“请开启flash或安装flash插件” 安装过程: 下载flash插件并解压 tar -zxvf flash_player_npapi_linux.x86_64.tar.pz 找到plugins目录把解压文件中的libflas...
  • 如果没安装好flash插件,将导致krpano软件自带的热点编辑器无法使用,例如热点添加、图片热点、视频热点、多边形热点都无法正常添加,小编建议您可以尝试以下步骤进行处理。 1、更换浏览器,使用谷歌或火狐浏览器...
  • 在ubuntu下面,默认的是火狐浏览器,经常在浏览一些需要flash插件的网页,提示flash版本太低,这时候,需要下载安装flash插件,可是在一些比较低版本的ubuntu系统和类ubuntu系统,如linuxmint,在apt源里面下载的...
  • Ubuntu18.04 flash插件安装

    千次阅读 2020-02-05 21:40:47
    Ubuntu18.04 flash插件安装 1、sudo apt-get install adobe-flashplugin 报错 E: 无法获得锁 /var/lib/dpkg/lock-frontend - open (11: 资源暂时不可用) E: 无法获取 dpkg 前端锁 (/var/lib/dpkg/lock-frontend),...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 72,170
精华内容 28,868
关键字:

flash插件